<?php
/**
 *    This file is part of OXID eShop Community Edition.
 *
 *    OXID eShop Community Edition is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    OXID eShop Community Edition is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with OXID eShop Community Edition.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @link      http://www.oxid-esales.com
 * @package   core
 * @copyright (C) OXID eSales AG 2003-2014
 * @version OXID eShop CE
 */

/**
 * DisplayError interface
 *
 * @package core
 */
interface oxIDisplayError
{
   /**
     * This method should return a localized message for displaying
     *
     * @return a string to display to the user
     */
    public function getOxMessage();

    /**
     * Returns a type of the error, e.g. the class of the exception or whatever class
     * implemented this interface
     *
     * @return String of Error Type
     */
    public function getErrorClassType();

    /**
     * Possibility to access additional values
     *
     * @param string $sName Value name
     *
     * @return an additional value (string) by its name
     */
    public function getValue($sName);

}
